import styled from 'styled-components';

import defaultTheme from '../../theme';

export interface ContainerProps {
  centered?: boolean;
  fluid?: boolean;
}

export const Container = styled.div<ContainerProps>({
  display: 'block',
  maxWidth: '100%',

  '@media only screen and (max-width: 767px)': {
    marginLeft: '1em',
    marginRight: '1em',
    width: 'auto',
  },

  '@media only screen and (max-width: 991px) and (min-width: 768px)': {
    width: '723px',
    marginLeft: 'auto',
    marginRight: 'auto',
  },

  '@media only screen and (max-width: 1199px) and (min-width: 992px)': {
    width: '933px',
    marginLeft: 'auto',
    marginRight: 'auto',
  },

  '@media only screen and (min-width: 1200px)': {
    width: '1127px',
    marginLeft: 'auto',
    marginRight: 'auto',
  },
});

Container.defaultProps = {
  theme: defaultTheme,
};
